import 'package:flutter/material.dart';

class SizeConfig {
  static MediaQueryData? _mediaQueryData;
  static double? screenWidth;
  static double? screenHeight;
  static double? defaultSize;
  static Orientation? orientation;

  void init(BuildContext context) {
    _mediaQueryData = MediaQuery.of(context);
    screenWidth = _mediaQueryData?.size.width;
    screenHeight = _mediaQueryData?.size.height;
    orientation = _mediaQueryData?.orientation;
  }
}

double getPropWidth(double inputWidth) {
  double screenWidth = SizeConfig.screenWidth ?? 0;
  // 375 is the layout width that designer use
  double result = (inputWidth / 375.0) * screenWidth;
  // log('getPropWidth : ' +
  //     inputWidth.toString() +
  //     ' : ' +
  //     result.toStringAsFixed(1));
  return result;
}
