
## Introduction
This package is designed for you to simplify and categorize sizes for font sizes

## Features

### Categorizing sizes

```dart
DefText("Lorem ipsum dolor sit amet").extraSmall
```

### Make Auto maxline

```dart
DefText("Lorem ipsum dolor sit amet", maxLine: 2).normal
```

### Make Auto Ellipsis

```dart
DefText("Lorem ipsum dolor sit amet", fontWeigth: FontWeight.bold).large
```

## Preview

<img src="https://i.ibb.co/hKHWWXF/Screenshot-1641799999.png" width="250"/>

## Usage

Import package

```dart
import 'package:default_text/default_text.dart';
```
